import {Component, OnDestroy, OnInit} from '@angular/core';
import {MinutePaperDao} from 'src/app/dao/minute-paper.dao';
import {QuestionDao} from 'src/app/dao/question.dao';
import {LecturerDataService} from 'src/app/services/lecturer-data.service';
import {LecturerInfoService} from 'src/app/services/lecturer-info.service';
import {Router} from '@angular/router';

@Component({
  selector: 'app-lecturer-view-paper',
  templateUrl: './lecturer-view-paper.component.html',
  styleUrls: ['./lecturer-view-paper.component.css']
})
export class LecturerViewPaperComponent implements OnInit, OnDestroy {

  public currentPaper: MinutePaperDao;
  public questions: QuestionDao[];

  constructor(private lecturerDataServce: LecturerDataService,
              private lecturerInfoService: LecturerInfoService,
              private router: Router) {
  }

  ngOnInit(): void {
    this.questions = [];
    this.currentPaper = this.lecturerDataServce.currentPaper;
    this.lecturerInfoService.getPaperQuestions(this.currentPaper.paperId).subscribe((data: QuestionDao[]) => {
      data.forEach(e => this.questions.push(e));
    });
  }

  ngOnDestroy(): void {
    this.questions = [];
  }

  public back() {
    this.router.navigate(['/paper-view']);
    this.ngOnDestroy();
  }

}
